package com.glgame.glgame;

import javax.microedition.khronos.opengles.GL10;


public class GameSystem {
	private static GameSystem instance_ = new GameSystem();
	public static GameSystem getInstance()
	{
		return instance_;
	}
	
	// 场景
	private GlObject runningScene_= null;
	private int width = 0;	// opengl的场景尺寸
	private int height = 0;
	
	public void setWindowSize(int width, int height)
	{
		this.width = width;
		this.height = height;
	}
	public int getWindowWidth()
	{
		return this.width;
	}
	public int getWindowHeight()
	{
		return this.height;
	}
	
	// 设定场景
	public void setScene(GlObject scene)
	{
		runningScene_ = scene;
	}
	
	// 
	public void glVisit(GL10 gl)
	{
		if (runningScene_ != null)
			runningScene_.glVisit(gl);
	}	
}
